module.exports = function(grunt) {
  'use strict';
  var configObject = require('./grunt/config');
  grunt.config.init(configObject);
  grunt.registerTask('build', [
    'htmlmin',
    'jst',
    'concat',
    'jshint',
    'uglify',
  ]);
  grunt.registerTask('default', [
    'build',
    'connect',
    'open',
    'watch'
  ]);
  grunt.registerTask('deploy', [
    'build',
    'gh-pages'
  ]);
  require('load-grunt-tasks')(grunt);
};
